Bug 11503 - kppp is a soft link in /usr/bin/consolehelper
kppp is a soft link in /usr/bin/consolehelper
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-18 10:27 EDT by Elias Athanasopoulos
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-26 11:18:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elias Athanasopoulos 2000-05-18 10:27:09 EDT
kppp exists in two places:
- /usr/sbin/kppp (elf)
- /usr/bin/kppp  (soft link -> /usr/bin/consolehelper)

A similar situation involves the kpackage program.

I had to copy the elf kppp to /usr/bin and make it suid root in
order to be able to connect as an ordinary user.
Comment 1 Elias Athanasopoulos 2000-05-26 11:18:59 EDT
The installation mode was custom with KDE Desktop. I installed only the core
and development libraries for GNOME.
Comment 2 Bernhard Rosenkraenzer 2000-06-17 17:36:57 EDT
It's not a bug, it's a feature.
consolehelper is a wrapper program that lets ordinary users start programs as
root under certain circumstances.
setuid programs are always security problems.

Note You need to log in before you can comment on or make changes to this bug.